{*
* 2007-2018 PrestaShop PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{capture name=path}
	<a href="{$link->getPageLink('order', true, null, "step=3")|escape:'htmlall':'UTF-8'}" title="{l s='Go back to the Checkout' mod='besterongateway'}">
            {l s='Checkout' mod='besterongateway'}
        </a>
        <span class="navigation-pipe">{$navigationPipe|escape:'htmlall':'UTF-8'}</span>
        {l s='Check payment' mod='besterongateway'}
{/capture}


<h2>{l s='Order summary' mod='besterongateway'}</h2>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if isset($nbProducts) && $nbProducts <= 0}
	<p class="warning">{l s='Your shopping cart is empty.' mod='besterongateway'}</p>
{else}


<h3 class="page-subheading">{l s='Besteron payment' mod='besterongateway'}</h3>
<form action="{$link->getModuleLink('besterongateway', 'validation', [], true)|escape:'htmlall':'UTF-8'}" method="post" id="besteron_form">
	
	<p>
		{l s='Please select your bank from which to make a payment.' mod='besterongateway'}
		<br /><br />
		<b>{l s='Please confirm your order by clicking \'I confirm my order\'.' mod='besterongateway'}</b>
	</p>

  {*/*
        <div>
        {foreach from=$banks key=bic item=bank}
            <div class="bank-input">
                <label for="besteron_type_{$bic|escape:'htmlall':'UTF-8'}"><img src="{$this_path_ssl|escape:'htmlall':'UTF-8'}/views/img/besterongateway/{$bank.image|escape:'htmlall':'UTF-8'}/3.png" alt="{$bank.name|escape:'htmlall':'UTF-8'}" class="bank" /></label>
                <br />
                <input type="radio" name="besteron_type" id="besteron_type_{$bic|escape:'htmlall':'UTF-8'}" value="{$bic|escape:'htmlall':'UTF-8'}" />
            </div>
        {/foreach} 
        </div>
  */*}

  <div style="clear: both;float:left;">
  {foreach from=$banks key=bic item=bank}
  <div style='display:table; vertical-align: middle; line-height: 18px; width:300px; height: 40px; float:left; padding:10px; text-align:center;'>
    <div style='display:table-cell; vertical-align: middle; width:10px;'>
      <input style="margin: 2 auto;" class="besteron-bic" type="radio" id="besteron_type_{$bic|escape:'htmlall':'UTF-8'}" name="besteron_type" value="{$bic|escape:'htmlall':'UTF-8'}" />
    </div>
    <span style='padding: 0 10px; display:table-cell; vertical-align: middle; width:110px; text-align: left;'>
                {$bank.label|escape:'htmlall':'UTF-8'}
                </span>
    <label for="besteron_type_{$bic|escape:'htmlall':'UTF-8'}" style="float:left;">
      <div style="height: 40px; float:left; display:table-cell; vertical-align:middle;">
      <img src="{$this_path_ssl|escape:'htmlall':'UTF-8'}/views/img/besterongateway/{$bank.image|escape:'htmlall':'UTF-8'}/3.png" alt="{$bank.name|escape:'htmlall':'UTF-8'}" style="margin: auto; vertical-align: middle; max-height:40px;"/>
      </div>
    </label>
  </div><br />
  {/foreach}
  </div>

  <div style="clear: both;">

        <p id="cart_navigation" class="cart_navigation clearfix">
                <a class="button-exclusive btn btn-default" href="{$link->getPageLink('order', true, null, "step=3")|escape:'htmlall':'UTF-8'}">
                        <i class="icon-chevron-left"></i>
                        {l s='Other payment methods' mod='besterongateway'}
                </a>
                <button class="button btn btn-default button-medium" type="submit">
                        <span>{l s='I confirm my order' mod='besterongateway'}<i class="icon-chevron-right right"></i></span>
                </button>
        </p>
  </div>
</form>
<script type="text/javascript">
$(function(){
	$('#besteron_form').submit(function(){
            var bic = $('input[name=besteron_type]:checked', this).val(); 
            if (!bic){
                alert("{l s='Error: Please select your bank from which to make a payment.' mod='besterongateway'}");
                return false;
            }
            return true;
        });
        {if $error }
            alert("{l s=$error mod='besterongateway'}");
        {/if}
});
</script>
{/if}

